# QFileSystemWatcher Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QFileSystemWatcher(QObject parent)
- void QFileSystemWatcher(List paths, QObject parent)

### Constructor Properties

- prototype: The QFileSystemWatcher prototype object

### Prototype Object Properties

The QFileSystemWatcher prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addPath(String file)
- void addPaths(List files)
- List directories()
- List files()
- void removePath(String file)
- void removePaths(List files)

### Instance Properties

QFileSystemWatcher objects have no special properties beyond those inherited from the QFileSystemWatcher prototype object.